{
  flake,
  lib,
  pkgs,
  ...
}:
let
  configPath = ./config;
  assistantPath = import (configPath + /assistant);

  interfacePath = import (configPath + /interface) {
    inherit
      flake
      ;
  };
  languagesPath = import (configPath + /languages);
  lspPath = import (configPath + /lsp);
  terminalPath = import (configPath + /terminal) {
    inherit
      flake
      ;
  };

  experimentalPath = import (configPath + /theme) {
    inherit
      flake
      ;
  };
  gitPath = import (configPath + /git);
in
{
  assistant = assistantPath;
  git = gitPath;
  languages = languagesPath;
  lsp = lspPath;
  terminal = terminalPath;
  experimental.theme_overrides = experimentalPath;

  node = {
    path = lib.getExe pkgs.nodejs;
    npm_path = lib.getExe' pkgs.nodejs "npm";
  };

  soft_wrap = "editor_width";

  auto_update = false;
  autosave = "on_focus_change";
  load_direnv = "shell_hook";
  base_keymap = "VSCode";
  restore_on_startup = "last_session";
  show_wrap_guides = true;
}
// interfacePath
